O'Reilly logo

Implementing BEA Portal 92 by Mark Kolb

Stay ahead with the world's most comprehensive technology and business learning platform.

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, tutorials, and more.

Start Free Trial

No credit card required

Deploying the Portal Application

Now that your domain is in place and tested, we need a portal application to deploy. Each portal will have unique requirements depending on the design. These requirements should be communicated by the development team so that you can successfully deploy the portal.

Introduction to Workshop

BEA workshop has changed completely from its previous versions. The eclipse framework has been adopted for this implementation of workshop. Workshop has grown in importance for the administrator because of the need to use it for portal propagation. If you have access to the source files, than you can build the EAR for yourself as with previous versions of workshop. With the drastic change in BEA portal architecture, the size of the resultant portal EAR file is much smaller due to the fact that the supporting libraries that constitute the portal framework are deployed in the application server instead of wrapping these libraries in the portal EAR. The workshop binaries are located along with the rest of the portal binary install. The code is located in the directory.

$INSTALL_DIR\workshop92\workshop4WP\workshop4WP.exe

If your download was for Unix, you will have to download the Windows version to get the correct binaries for workshop on Windows. Installation on Windows is a simple executable install. Some edits are to maximize workshop operation as it is itself a Java application. Increase the heap size for workshop to the parameters in italics.

Eclipse tuning

Adjust ...

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, interactive tutorials, and more.

Start Free Trial

No credit card required